Team join emails have bad url for subscribing to mailing lists

Bug #463444 reported by Aaron Bentley on 2009-10-29
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Unassigned

Bug Description

The URL provided for subscribing to team emails is a launchpad.dev email. I just received this:

Hello Aaron Bentley,

Martin Pool (mbp) added canonical-bazaar (canonical-bazaar) (which you
are a member of) as a member of ubuntu-distributed-development (ubuntu-
distributed-development).
  <https://edge.launchpad.net/~ubuntu-distributed-development>

If you would like to subscribe to the team list, use the link below
to update your Mailing List Subscription preferences.
  <http://launchpad.dev/people/+me/+editemails>

-- You received this email because canonical-bazaar is the new member.

Raw source follows:
Return-Path: <email address hidden>
X-Original-To: <email address hidden>
Delivered-To: <email address hidden>
Received: from cluster-e.mailcontrol.com (cluster-e.mailcontrol.com [85.115.58.190])
 by fiordland.canonical.com (Postfix) with ESMTP id BDC61A18E65
 for <email address hidden>; Thu, 29 Oct 2009 02:38:40 +0000 (GMT)
Received: from arctowski.canonical.com (arctowski.canonical.com [91.189.94.158])
 by rly03e.srv.mailcontrol.com (MailControl) with ESMTP id n9T2caDC026077
 for <email address hidden>; Thu, 29 Oct 2009 02:38:36 GMT
Received: from fiordland.canonical.com ([91.189.94.145])
 by arctowski.canonical.com with esmtp (Exim 4.60)
 (envelope-from <email address hidden>)
 id 1N3KuK-0007q5-0V
 for <email address hidden>; Thu, 29 Oct 2009 02:38:36 +0000
Received: from adelie.canonical.com (userdb.internal [91.189.90.139])
 by fiordland.canonical.com (Postfix) with ESMTP id F3F59A18E80
 for <email address hidden>; Thu, 29 Oct 2009 02:38:35 +0000 (GMT)
Received: from palladium.canonical.com ([91.189.90.221])
 by adelie.canonical.com with esmtp (Exim 4.69 #1 (Debian))
 id 1N3KuJ-00013i-Qt
 for <email address hidden>; Thu, 29 Oct 2009 02:38:35 +0000
Received: from palladium.canonical.com (localhost [127.0.0.1])
 by palladium.canonical.com (Postfix) with ESMTP id BB548C04C
 for <email address hidden>; Thu, 29 Oct 2009 02:38:35 +0000 (GMT)
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-Launchpad-Message-Rationale: Indirect member (ubuntu-distributed-development)
To: <email address hidden>
From: ubuntu-distributed-development <email address hidden>
Subject: canonical-bazaar joined ubuntu-distributed-development
Message-Id: <email address hidden>
Date: Thu, 29 Oct 2009 02:38:33 -0000
Reply-To: ubuntu-distributed-development <email address hidden>
Sender: <email address hidden>
Errors-To: <email address hidden>
Precedence: bulk
X-Generated-By: Launchpad (canonical.com); Revision="9772";
 Instance="launchpad-lazr.conf"
X-Launchpad-Hash: cc9ca22b7c4cebd12add1fe989135392addf1248
X-Mailcontrol-Inbound: uq3drnD2P+ps5SfEb0fvr78+NoP1DHBZwGqKpaXB2eTgNv8D6KLIxb8+NoP1DHBZ8VSaBg0k0xw=
X-Scanned-By: MailControl A-09-22-03 (www.mailcontrol.com) on 10.69.0.113

Hello Aaron Bentley,

Martin Pool (mbp) added canonical-bazaar (canonical-bazaar) (which you
are a member of) as a member of ubuntu-distributed-development (ubuntu-
distributed-development).
  <https://edge.launchpad.net/~ubuntu-distributed-development>

If you would like to subscribe to the team list, use the link below
to update your Mailing List Subscription preferences.
  <http://launchpad.dev/people/+me/+editemails>

-- =

You received this email because canonical-bazaar is the new member.

Related branches

Curtis Hovey (sinzui) on 2009-10-29
Changed in launchpad-registry:
assignee: nobody → Curtis Hovey (sinzui)
importance: Undecided → High
milestone: none → 3.1.10
status: New → Triaged
Curtis Hovey (sinzui) wrote :

emailtemplates/team-list-subscribe-block has the server hardcoded :(

Changed in launchpad-registry:
status: Triaged → In Progress
Curtis Hovey (sinzui) wrote :

Fixed in launchpad devel r9823.

Changed in launchpad-registry:
status: In Progress → Fix Committed

Fixed released in launchpad-project 3.1.10.

Changed in launchpad-registry:
status: Fix Committed → Fix Released
Curtis Hovey (sinzui) on 2017-05-15
Changed in launchpad:
assignee: Curtis Hovey (sinzui) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers